PyGIWarning: Import GI and specify Accounts and Signon module versions before importing

Bug #1633760 reported by Numan Demirdöğen on 2016-10-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Online Accounts: Account plugins
Low
Alberto Mardegan
webapps-sprint
Low
Alberto Mardegan

Bug Description

When launching /usr/bin/accounts-console application, which is included in accounts-plugins-tools package, it prints an error:

/usr/bin/account-console:8: PyGIWarning: Accounts was imported without specifying a version first. Use gi.require_version('Accounts', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import Accounts

/usr/bin/account-console:9: PyGIWarning: Signon was imported without specifying a version first. Use gi.require_version('Signon', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import Signon

I pushed my branch which includes a patch for this bug.

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.10
Release: 16.10
Codename: yakkety

LC_ALL=C apt-cache show account-plugin-tools
Package: account-plugin-tools
Priority: optional
Section: gnome
Installed-Size: 30
Maintainer: Ubuntu Desktop Team <email address hidden>
Architecture: all
Source: account-plugins
Version: 0.13+16.10.20160929.1-0ubuntu1
Depends: python3:any, python3-gi, gir1.2-glib-2.0, gir1.2-signon-1.0, gir1.2-accounts-1.0, signon-plugin-oauth2, unity-asset-pool (>> 0.8.24daily12.12.05-0ubuntu1)
Filename: pool/main/a/account-plugins/account-plugin-tools_0.13+16.10.20160929.1-0ubuntu1_all.deb
Size: 5336
MD5sum: b848f55f15e04c693715666e932792dd
SHA1: 295b5aac5b386a5b1e6e45f166fdd10d5b9373fd
SHA256: b513f71bcf1b7d5b8d709e71669fadd5cf94efe22b7ef0c7b9b241d103720c58
Description-en: Online account plugins for Unity - tools
 Command line tools for managing Online Accounts.
Description-md5: e036da552590bd1df265a68a6c664384
Multi-Arch: foreign
Homepage: https://launchpad.net/account-plugins
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 9m
Task: ubuntu-desktop, ubuntu-usb, edubuntu-desktop, edubuntu-usb, ubuntu-touch-core, ubuntu-touch

Related branches

description: updated
summary: - PyGIWarning: Import GI and specify Accounts module version before
- importing
+ PyGIWarning: Import GI and specify Accounts and Signon module versions
+ before importing
Alberto Mardegan (mardy) on 2016-11-02
Changed in account-plugins:
assignee: nobody → Alberto Mardegan (mardy)
importance: Undecided → Low
status: New → In Progress
Changed in webapps-sprint:
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Alberto Mardegan (mardy)
milestone: none → sprint-27
Alberto Mardegan (mardy) on 2016-11-22
Changed in webapps-sprint:
status: In Progress → Fix Released
Changed in account-plugins:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers